## net.i2p.client.streaming
Class I2PServerSocketFull

    java.lang.Object
      net.i2p.client.streaming.I2PServerSocketFull

All Implemented Interfaces:
  I2PServerSocket

    public class I2PServerSocketFull

extends java.lang.Object
implements I2PServerSocket

Bridge to allow accepting new connections

Constructor Summary
`I2PServerSocketFull(I2PSocketManagerFull mgr)`

Method Summary
`I2PSocket` `accept()` Waits for the next socket connecting.
`void` `close()` Closes the socket.
`I2PSocketManager` `getManager()` Access the manager which is coordinating the server socket

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2PServerSocketFull

    public I2PServerSocketFull(I2PSocketManagerFull mgr)

Method Detail

### accept

    public I2PSocket accept()
                     throws I2PException

  Description copied from interface: `I2PServerSocket`
  Waits for the next socket connecting. If a remote user tried to make a connection and the local application wasn't .accept()ing new connections, they should get refused (if .accept() doesnt occur in some small period)

  Specified by:
    `accept` in interface `I2PServerSocket`
  Returns:
    a connected I2PSocket
  Throws:
    `I2PException` - if there is a problem with reading a new socket from the data available (aka the I2PSession closed, etc)

### close

    public void close()

  Description copied from interface: `I2PServerSocket`
  Closes the socket.

  Specified by:
    `close` in interface `I2PServerSocket`

### getManager

    public I2PSocketManager getManager()

  Description copied from interface: `I2PServerSocket`
  Access the manager which is coordinating the server socket

  Specified by:
    `getManager` in interface `I2PServerSocket`